Name: libICE
Version: 1.0.3
Release: alt2

Summary: X Inter Client Exchange Library
License: MIT/X11
Group: System/Libraries

Url: http://xorg.freedesktop.org

Packager: XOrg Maintainer Team <xorg@packages.altlinux.org>

Source: %name-%version.tar.bz2

Patch0: libICE-1.0.3-Double-free-Coverity1085.patch
Patch1: libICE-1.0.3-Double-free-Coverity1086.patch
Patch2: libICE-1.0.3-git-replace-many-malloc.patch

BuildRequires: gcc-c++ libstdc++-devel pkg-config xorg-x11-proto-devel
BuildRequires: xorg-x11-xtrans-devel xorg-x11-util-macros

%description
X Inter Client Exchange Library

%package devel
Summary: X ICE Library and Header Files
Group: Development/C
PreReq: xorg-x11-proto-devel
Requires: %name = %version-%release
Conflicts: XFree86-devel < 4.4 xorg-x11-devel <= 6.9.0

%description devel
%name-devel contains the libraries and header files needed to
develop programs which make use of %name.

%def_disable static
%def_disable ipv6

%prep
%setup -q

%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
%__autoreconf
%configure \
	%{subst_enable ipv6} \
	%{subst_enable static}
%make_build

%install
%make DESTDIR=%buildroot install

%post
%post_ldconfig

%postun
%postun_ldconfig

%files
%_libdir/*.so.*

%files devel
%_includedir/X11/ICE
%_libdir/*.so
%_pkgconfigdir/*.pc

%changelog
* Mon May 14 2007 Valery Inozemtsev <shrek@altlinux.ru> 1.0.3-alt2
- added libICE-1.0.3-Double-free-Coverity1085.patch,
	libICE-1.0.3-Double-free-Coverity1086.patch,
	libICE-1.0.3-git-replace-many-malloc.patch

* Sat Dec 16 2006 Valery Inozemtsev <shrek@altlinux.ru> 1.0.3-alt1
- 1.0.3

* Sat Oct 14 2006 Valery Inozemtsev <shrek@altlinux.ru> 1.0.2-alt1
- 1.0.2

* Thu Apr 27 2006 Valery Inozemtsev <shrek@altlinux.ru> 1.0.1-alt1
- 1.0.1

* Fri Apr 21 2006 Valery Inozemtsev <shrek@altlinux.ru> 1.0.0-alt3
- CVS snapshot 2006-04-10

* Fri Jan 20 2006 Valery Inozemtsev <shrek@altlinux.ru> 1.0.0-alt2
- fixed requires for %name-devel

* Mon Dec 26 2005 Valery Inozemtsev <shrek@altlinux.ru> 1.0.0-alt1
- Xorg-7.0

* Sun Dec 04 2005 Valery Inozemtsev <shrek@altlinux.ru> 0.99.2-alt1
- Xorg-7.0RC3

* Mon Nov 21 2005 Valery Inozemtsev <shrek@altlinux.ru> 0.99.1-alt0.1
- initial build

